Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.hotdeploy
Class ReloadableBuilder

    java.lang.Object
      org.mule.config.builders.AbstractConfigurationBuilder
          org.mule.config.builders.AbstractResourceConfigurationBuilder
              org.mule.config.spring.SpringXmlConfigurationBuilder
                  org.mule.config.spring.hotdeploy.ReloadableBuilder

All Implemented Interfaces:
  ConfigurationBuilder

    public class ReloadableBuilder

extends SpringXmlConfigurationBuilder

Nested Class Summary
`protected class` | `ReloadableBuilder.ConfigFileWatcher`

Field Summary
`protected static ClassLoader` | `CLASSLOADER_ROOT` A logical root for this application.
`protected static URL[]` | `CLASSPATH_EMPTY`
`protected Log` | `logger`
`protected File` | `monitoredResource`
`protected static int` | `RELOAD_INTERVAL_MS`

Fields inherited from class org.mule.config.spring.SpringXmlConfigurationBuilder
`MULE_DEFAULTS_CONFIG, MULE_SPRING_CONFIG, parentContext, registry, useDefaultConfigResource`

Fields inherited from class org.mule.config.builders.AbstractResourceConfigurationBuilder
`configResources`

Fields inherited from class org.mule.config.builders.AbstractConfigurationBuilder
`configured`

Constructor Summary
`ReloadableBuilder(ConfigResource[] configResources)`
`ReloadableBuilder(String s)`
`ReloadableBuilder(String[] strings)`

Method Summary
`void` | `configure(MuleContext muleContext)` Override to check for existence of configResouce before invocation, and set resources n configuration afterwards.
`protected void` | `doConfigure(MuleContext muleContext)` Will configure a MuleContext based on the configuration provided.
`protected void` | `scheduleConfigMonitor(FileWatcher watcher)`

Methods inherited from class org.mule.config.spring.SpringXmlConfigurationBuilder
`applyLifecycle, createApplicationContext, createSpringRegistry, getParentContext, isUseDefaultConfigResource, setParentContext, setUseDefaultConfigResource, unconfigure`

Methods inherited from class org.mule.config.builders.AbstractResourceConfigurationBuilder
`createConfigResourcesString, loadConfigResources`

Methods inherited from class org.mule.config.builders.AbstractConfigurationBuilder
`isConfigured`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASSLOADER_ROOT

    protected static final ClassLoader CLASSLOADER_ROOT

  A logical root for this application.

### CLASSPATH_EMPTY

    protected static final URL[] CLASSPATH_EMPTY

### logger

    protected final transient Log logger

### monitoredResource

    protected File monitoredResource

### RELOAD_INTERVAL_MS

    protected static final int RELOAD_INTERVAL_MS

See Also:
  Constant Field Values

Constructor Detail

### ReloadableBuilder

    public ReloadableBuilder(ConfigResource[] configResources)

### ReloadableBuilder

    public ReloadableBuilder(String s)
                      throws ConfigurationException

Throws:
  `ConfigurationException`

### ReloadableBuilder

    public ReloadableBuilder(String[] strings)
                      throws ConfigurationException

Throws:
  `ConfigurationException`

Method Detail

### configure

    public void configure(MuleContext muleContext)
                   throws ConfigurationException

  Description copied from class: `AbstractResourceConfigurationBuilder`
  Override to check for existence of configResouce before invocation, and set resources n configuration afterwards.

  Specified by:
    `configure` in interface `ConfigurationBuilder`
  Overrides:
    `configure` in class `AbstractResourceConfigurationBuilder`
  Parameters:
    `muleContext` - The current `MuleContext`
  Throws:
    `ConfigurationException` - if the configuration fails i.e. an object cannot be created or initialised properly

### scheduleConfigMonitor

    protected void scheduleConfigMonitor(FileWatcher watcher)

### doConfigure

    protected void doConfigure(MuleContext muleContext)
                        throws Exception

  Description copied from class: `AbstractConfigurationBuilder`
  Will configure a MuleContext based on the configuration provided. The configuration will be set on the `ConfigurationBuilder` implementation as bean properties before this method has been called.

  Overrides:
    `doConfigure` in class `SpringXmlConfigurationBuilder`
  Parameters:
    `muleContext` - The current `MuleContext`
  Throws:
    `ConfigurationException` - if the configuration fails i.e. an object cannot be created or initialised properly
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.